This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 724053 - kdenetwork split packaging
kdenetwork split packaging
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-4.7
  Show dependency treegraph
 
Reported: 2011-07-21 15:24 EDT by Rex Dieter
Modified: 2011-07-25 09:52 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-25 09:52:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-07-21 15:24:20 EDT
While we're at it, may as well do kdenetwork too.  There's been long-standing requests to spilt out at least:
kppp
kopete
Comment 1 nucleo 2011-07-21 17:36:51 EDT
Can we have after split kopete in Fedora and kopete-freeworld built with mediastreamer in RPMFusion (with enabled voice/video)?
Comment 2 Rex Dieter 2011-07-21 18:37:55 EDT
maybe, but efforts to implement that are largely orthogonal to split packaging.
Comment 3 Rex Dieter 2011-07-21 19:20:41 EDT
Here's my first try,
http://rdieter.fedorapeople.org/rpms/kdenetwork/

and scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3221406

please look it over, if you get a chance.
Comment 4 Kevin Kofler 2011-07-22 08:07:05 EDT
The problem with kopete-freeworld is that you have to replace the whole Kopete.
Comment 5 nucleo 2011-07-22 12:00:12 EDT
kdenetwork-kopete-freeworld can have Conflicts: kdenetwork-kopete
as in audacity-freeworld http://cvs.rpmfusion.org/viewvc/*checkout*/rpms/audacity-freeworld/devel/audacity-freeworld.spec?revision=1.18&root=free

Main kdenetwork package instead Requires: kdenetwork-kopete can require something virtually provided in both kdenetwork-kopete and kdenetwork-kopete-freeworld packages.
Comment 6 Rex Dieter 2011-07-25 09:52:24 EDT
committed.

Note You need to log in before you can comment on or make changes to this bug.